> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a message by ID for a contact



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts/{identifier}/messages/{messageId}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/{identifier}/messages/{messageId}:
    get:
      tags:
        - Contacts
      summary: Get a message by ID for a contact
      operationId: getContactMessageWorkspaceTokenAPI
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: messageId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          updatedAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          conversationId:
                            type: string
                          contactInboxId:
                            type: string
                          workspaceId:
                            type: string
                          text:
                            anyOf:
                              - type: string
                              - type: 'null'
                          contentAttributes:
                            anyOf:
                              - anyOf:
                                  - anyOf:
                                      - type: string
                                      - type: number
                                      - type: boolean
                                      - type: 'null'
                                  - type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                  - type: array
                                    items:
                                      anyOf:
                                        - {}
                                        - type: 'null'
                              - type: 'null'
                          messageType:
                            enum:
                              - incoming
                              - outgoing
                              - activity
                            type: string
                          contentType:
                            enum:
                              - text
                              - location
                              - refLink
                            type: string
                          senderType:
                            enum:
                              - bot
                              - contact
                              - system
                              - user
                              - api
                            type: string
                          senderId:
                            anyOf:
                              - {}
                              - type: 'null'
                          sourceId:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - createdAt
                          - updatedAt
                          - conversationId
                          - contactInboxId
                          - workspaceId
                          - text
                          - contentAttributes
                          - messageType
                          - contentType
                          - senderType
                          - sourceId
                      - type: object
                        properties:
                          clientId:
                            type: string
                            pattern: \d+
                  - type: object
                    properties:
                      attachments:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                  x-native-type: date
                                updatedAt:
                                  type: string
                                  format: date-time
                                  x-native-type: date
                                workspaceId: {}
                                conversationId: {}
                                fileType:
                                  enum:
                                    - image
                                    - video
                                    - audio
                                    - gif
                                    - file
                                  type: string
                                messageId: {}
                                sourceId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                mimeType:
                                  type: string
                                width:
                                  anyOf:
                                    - type: integer
                                      minimum: -2147483648
                                      maximum: 2147483647
                                    - type: 'null'
                                height:
                                  anyOf:
                                    - type: integer
                                      minimum: -2147483648
                                      maximum: 2147483647
                                    - type: 'null'
                                size:
                                  type: integer
                                  minimum: -2147483648
                                  maximum: 2147483647
                                thumbnailPath:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                originPath:
                                  type: string
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - createdAt
                                - updatedAt
                                - fileType
                                - sourceId
                                - mimeType
                                - width
                                - height
                                - size
                                - thumbnailPath
                                - originPath
                                - name
                            - type: object
                              properties:
                                url:
                                  anyOf:
                                    - type: string
                                      format: uri
                                    - type: 'null'
                      user:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          updatedAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          email:
                            type: string
                          emailVerified:
                            type: boolean
                          image:
                            anyOf:
                              - type: string
                              - type: 'null'
                          isAnonymous:
                            type: boolean
                        required:
                          - id
                          - createdAt
                          - updatedAt
                          - name
                          - email
                          - emailVerified
                          - image
                          - isAnonymous
                      contact:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          updatedAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          avatar:
                            anyOf:
                              - type: string
                              - type: 'null'
                          phoneNumber:
                            anyOf:
                              - type: string
                              - type: 'null'
                          email:
                            anyOf:
                              - type: string
                              - type: 'null'
                          emailVerified:
                            type: boolean
                          emailOptIn:
                            type: boolean
                          firstName:
                            anyOf:
                              - type: string
                              - type: 'null'
                          lastName:
                            anyOf:
                              - type: string
                              - type: 'null'
                          fullName:
                            anyOf:
                              - type: string
                              - type: 'null'
                          gender:
                            anyOf:
                              - enum:
                                  - male
                                  - female
                                  - unknown
                                type: string
                              - type: 'null'
                          lastReadAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          ref:
                            anyOf:
                              - type: string
                              - type: 'null'
                          country:
                            anyOf:
                              - type: string
                              - type: 'null'
                          state:
                            anyOf:
                              - type: string
                              - type: 'null'
                          city:
                            anyOf:
                              - type: string
                              - type: 'null'
                          location:
                            anyOf:
                              - anyOf:
                                  - anyOf:
                                      - type: string
                                      - type: number
                                      - type: boolean
                                      - type: 'null'
                                  - type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                  - type: array
                                    items:
                                      anyOf:
                                        - {}
                                        - type: 'null'
                              - type: 'null'
                          locale:
                            anyOf:
                              - type: string
                              - type: 'null'
                          timezone:
                            anyOf:
                              - type: string
                              - type: 'null'
                          subscribedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          broadcastSubscribedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          blockedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          workspaceId:
                            type: string
                        required:
                          - id
                          - createdAt
                          - updatedAt
                          - avatar
                          - phoneNumber
                          - email
                          - emailVerified
                          - emailOptIn
                          - firstName
                          - lastName
                          - fullName
                          - gender
                          - lastReadAt
                          - ref
                          - country
                          - state
                          - city
                          - location
                          - locale
                          - timezone
                          - subscribedAt
                          - broadcastSubscribedAt
                          - blockedAt
                          - workspaceId
                      clientId:
                        type: string
                        pattern: \d+
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````